-- This goal 'walks along' and doesn't need it's own mSteps list. 
-- It will automatically be started and finished during goalChangeTire.
-- ----------------------------------------------------------------------------
function goalCreateSurface:shouldStart()

	return (objectHoPanel01:isActive())

end
-- ----------------------------------------------------------------------------
function goalCreateSurface:onStarted()

	if (objectHoLugwrench:isSelected()) then
		objectHoLugwrench:ss(kFound)
	end
	
end
-- ----------------------------------------------------------------------------
function goalCreateSurface:shouldFinish()

	return (objectHoPanel01:isUsed() or objectHoPanel01:isDone())

end